<ion-header>
  <page-nav-bar class="fixed-content"></page-nav-bar>
</ion-header>
<ion-content>
  <!-- <page-nav-bar></page-nav-bar> -->
  <div class="home-container">
    <div class="header">
      <div class="filter">
          <!-- <form (ngSubmit)="YouMethod()">
            <input type="text" name="" placeholder='Buscar'>
          </form> -->
          <form [formGroup]="userForm" (ngSubmit)="searching(userForm.value, userForm.valid)">
            <ion-list>
              <ion-item>
                <!-- <ion-label color="primary">Inline Label</ion-label> -->
                <ion-input type="text" name="" placeholder='Buscar'  formControlName="text"></ion-input>
              </ion-item>
            </ion-list>
            <!-- <input type="text" name="" placeholder='Buscar'> -->
          </form>
        </div>
    </div>
    <div class="home-data">
      <!-- <input class="searchBar" type="text" name="search" placeholder="Buscar" [(ngModel)]="search"> -->
      <div class="categories">
        <div class="box-category" *ngFor="let item of menu_items">
          <div (click)="goCategorieDetail(item)" [ngClass]="{'cat_hiring': item.id=='1', 'cat_onboarding': item.id=='2', 'cat_leader': item.id =='3', 'cat_teams': item.id =='4', 'cat_resultEnfoq': item.id =='22', 'cat_curiosidad': item.id =='23', 'cat_all': item.id == 'all', 'cat_favorite': item.id == 'favorite'}">
            <p>{{ item.name }} ({{ item.cantidad }})</p>
          </div>
        </div> 
      </div>
    </div> 
    <div class="themes-container">
      <div class="themes-content">
        <div *ngFor="let tool of allsToolkits">
          <div [ngClass]="{'info-hiring': tool.category=='Procesos', 'info-onboarding': tool.category == 'Enfoque en el cliente', 'info-leadership': tool.category == 'Conciencia de Sí Mismos y Desarrollo Personal', 'info-team': tool.category == 'Desarrollo y Orientación de Empleados Talentosos', 'info-curiosidad': tool.category == 'Curiosidad', 'info-enfoque': tool.category == 'Enfoque de Resultados'}">
            <div class="info-hiring-content" (click)="goTool(tool.nid)">
              <div class="box-image">
                <img src="{{ tool.image }}">
              </div>
              <div class="info-hiring-text">
                <p>{{ tool.title }}</p>
                <!-- <p>Resumen una línea</p> -->
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</ion-content>
